package com.rwk.system.service;

import java.util.List;
import com.rwk.system.domain.RwkBookGroup;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
public interface IRwkBookGroupService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param bookId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public RwkBookGroup selectRwkBookGroupByBookId(Long bookId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<RwkBookGroup> selectRwkBookGroupList(RwkBookGroup rwkBookGroup);

    /**
     * 新增【请填写功能名称】
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 结果
     */
    public int insertRwkBookGroup(RwkBookGroup rwkBookGroup);
    public int insertRwkBookGroupList(List<RwkBookGroup> rwkBookGroups);

    /**
     * 修改【请填写功能名称】
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 结果
     */
    public int updateRwkBookGroup(RwkBookGroup rwkBookGroup);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param bookIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteRwkBookGroupByBookIds(String bookIds);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param bookId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteRwkBookGroupByBookId(Long bookId);

    public int deleteRwkBookGroupByGroupId(Long groupId);
}
